<template>
  <q-page padding>
    <q-list>
      <q-item
        tag="label"
        v-ripple
      >
        <q-item-section>
          <q-item-label>{{$t('settings.dark-mode.label')}}</q-item-label>
        </q-item-section>
        <q-item-section avatar>
          <q-toggle
            color="blue"
            v-model="isDarkMode"
          />
        </q-item-section>
      </q-item>
    </q-list>
  </q-page>
</template>

<script lang="ts">
import ConfigStore from '../store/config';

export default {
  computed: {
    isDarkMode: {
      get() {
        return ConfigStore.getters.isDarkMode;
      },
      set(newValue: boolean) {
        ConfigStore.actions.setDarkMode(newValue);
      },
    },
  },
  name: 'SettingsPage',
};
</script>
